#include "nsISupports.idl"

[scriptable, uuid(82677c63-898b-492c-97f0-1a7661a293c1)]
interface celtxILogger : nsISupports
{
  // All messages are automatically ended with a newline
  void logMessage (in wstring msg);
  void flush ();
};


[scriptable, uuid(af759501-7ac4-4f5f-bf6d-0147c34a13a9)]
interface celtxILogService : nsISupports
{
  celtxILogger openNamedLog (in string name);
};
